Set_Geocode_Setting
Prev | 14.2. Tiger Geocoder | Next

## Name

Set_Geocode_Setting — Sets a setting that affects behavior of geocoder functions.

## Synopsis

`text Set_Geocode_Setting(`text setting_name, text setting_value`)`;

## Description

Sets value of specific setting stored in `tiger.geocode_settings` table. Settings allow you to toggle debugging of functions. Later plans will be to control rating with settings. Current list of settings are listed in Get_Geocode_Setting.

Availability: 2.1.0

## Example return debugging setting

If you run Geocode when this function is true, the NOTICE log will output timing and queries.

    SELECT set_geocode_setting('debug_geocode_address', 'true') As result;
    result
    ---------
    true

## See Also

Get_Geocode_Setting

Prev | Up | Next
Topology_Load_Tiger | Home | Chapter 15. PostGIS Special Functions Index